CREATE TABLE hwm_grp_criteria (
    GRP_CRITERIA_ID          NUMBER(18, 0) ,
    ADDL_ATTR_CATEGORY       VARCHAR2(120) ,
    ADDL_ATTR_CHAR1          VARCHAR2(600) ,
    ADDL_ATTR_CHAR2          VARCHAR2(600) ,
    ADDL_ATTR_CHAR3          VARCHAR2(600) ,
    ADDL_ATTR_CHAR4          VARCHAR2(600) ,
    ADDL_ATTR_CHAR5          VARCHAR2(600) ,
    ADDL_ATTR_NUMBER1        NUMBER        ,
    ADDL_ATTR_NUMBER2        NUMBER        ,
    ADDL_ATTR_NUMBER3        NUMBER        ,
    ADDL_ATTR_NUMBER4        NUMBER        ,
    ADDL_ATTR_NUMBER5        NUMBER        ,
    GRP_ID                   NUMBER(18, 0) ,
    ORDR_NUM                 NUMBER(9, 0)  ,
    LEFT_PARAM_NUM           NUMBER(9, 0)  ,
    CRITERIA_ID              NUMBER(18, 0) ,
    CRITERIA_NAME            VARCHAR2(2000),
    CRITERIA_DISPLAY_NAME    VARCHAR2(2000),
    OPERATOR_ID              NUMBER(18, 0) ,
    OPERATOR_NAME            VARCHAR2(400) ,
    RIGHT_PARAM_NUM          NUMBER(9, 0)  ,
    VALUE_CHAR               VARCHAR2(120) ,
    VALUE_NUMBER             NUMBER(18, 0) ,
    VALUE_DATE               DATE          ,
    VALUE_TS                 TIMESTAMP(6)  ,
    BOOL_OPER_CD             VARCHAR2(120) ,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    GRP_CRITERIA_ID          NUMBER(18, 0) ,
    GRP_ID                   NUMBER(18, 0) ,
    ORDR_NUM                 NUMBER(9, 0)  ,
    LEFT_PARAM_NUM           NUMBER(9, 0)  ,
    CRITERIA_ID              NUMBER(18, 0) ,
    CRITERIA_NAME            VARCHAR2(2000),
    CRITERIA_DISPLAY_NAME    VARCHAR2(2000),
    OPERATOR_ID              NUMBER(18, 0) ,
    OPERATOR_NAME            VARCHAR2(400) ,
    RIGHT_PARAM_NUM          NUMBER(9, 0)  ,
    VALUE_CHAR               VARCHAR2(120) ,
    VALUE_NUMBER             NUMBER(18, 0) ,
    VALUE_DATE               DATE          ,
    VALUE_TS                 TIMESTAMP(6)  ,
    BOOL_OPER_CD             VARCHAR2(120) ,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    ADDL_ATTR_CATEGORY       VARCHAR2(120) ,
    ADDL_ATTR_CHAR1          VARCHAR2(600) ,
    ADDL_ATTR_CHAR2          VARCHAR2(600) ,
    ADDL_ATTR_CHAR3          VARCHAR2(600) ,
    ADDL_ATTR_CHAR4          VARCHAR2(600) ,
    ADDL_ATTR_CHAR5          VARCHAR2(600) ,
    ADDL_ATTR_NUMBER1        NUMBER        ,
    ADDL_ATTR_NUMBER2        NUMBER        ,
    ADDL_ATTR_NUMBER3        NUMBER        ,
    ADDL_ATTR_NUMBER4        NUMBER        ,
    ADDL_ATTR_NUMBER5        NUMBER        ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hwm_grp_criteria PRIMARY KEY (GRP_CRITERIA_ID, GRP_CRITERIA_ID)
);
